summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscripts/prereq.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/prereq.sh b/scripts/prereq.sh
index 2d3a921fa..5277d8f1b 100755
--- a/scripts/prereq.sh
+++ b/scripts/prereq.sh
@@ -304,6 +304,15 @@ if ! which git >/dev/null 2>&1; then
fi
printf "found\n"
+printf " ---> checking if xz is installed.. "
+if ! which xz >/dev/null 2>&1; then
+ echo You must install xz to continue.
+ echo
+ out=1
+ printf "not found\n"
+fi
+printf "found\n"
+
printf " ---> checking if ncurses is installed.. "
check_lxdialog=${topdir}/adk/config/lxdialog/check-lxdialog.sh
CURSES_CFLAGS=$(/bin/sh ${check_lxdialog} -ccflags | tr '\n' ' ')